<?


include 'connect.php';

if(ban($u['id'])) header ("Location: page.php");

$location = 'arbour';

switch($_GET['act'])
{

//Редактирование ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
case 'edit':
if($u['admin'] == 1 || $u['admin'] == 2){
   if ($_GET['id']) {
   $id = intval($_GET['id']);
      if (isset($_POST['submit'])) {
      $message = check(substr($_POST['message'], 0, 500));
      mysql_query("UPDATE `arbour` SET
      `message` = '$message'
      WHERE `id` = '$id'
      ");
      header ("Location: arbour.php");
      exit;
      } else {
	  include 'head.php';
	  
echo '<div class="block_back">';
echo '<a href = "arbour.php">Беседка</a>';
echo '</div>';

echo '<div class="title">';
echo '<b>Изменить сообщение</b>';
echo '</div>';

      //Подзаголовок
      echo '<div class="block_action">';
      $message = mysql_fetch_assoc(mysql_query("SELECT * FROM `arbour` WHERE `id` = '$id'"));
      $text = checkout($message['message']);
      echo '<form action="arbour.php?act=edit&amp;id=' . $id . '" method="post">';
	  echo 'Сообщение от <a href = "index.php?id='.$message['user'].'">'.login($message['user']).'</a><br/>';
      echo '<textarea cols="20" rows="3" name="message" style="width: 97%">'.$text.'</textarea><br/>';
      echo '<input type="submit" name="submit" class="btn" value="Сохранить" class="submit white"/>';
      echo '</form>';
      echo '</div>';
      include 'foot.php';
	  }
   }
}
break;

//Очистка ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
case 'clear':
if($u['admin'] == 1 || $u['admin'] == 2){
      if (isset($_POST['submit'])) {
      mysql_query("DELETE FROM `arbour`");
      header ("Location: arbour.php");
      exit;
      } else {
	  include 'head.php';
	  
	  echo '<div class="block_back">';
echo '<a href = "arbour.php">Беседка</a>';
echo '</div>';

echo '<div class="title">';
echo '<b>Очистить беседку</b>';
echo '</div>';
      echo '<div class="block_action">';
      echo 'Действительно очистить беседку?';
      echo '<form action="arbour.php?act=clear" method="post">';
      echo '<input type="submit" name="submit" class="btn" value="Да, очистить" class="submit white"/>';
      echo '</form></div>';
      echo '</div>';
      include 'foot.php';
	  }
}
break;

//Вывод сообщений ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
default:

//Запись сообщения, если сообщение получено
if($u['id'] and $_POST['message']){
$message = check(substr($_POST['message'], 0, 500));
   //Проверяем на флуд
   $flood = mysql_query("SELECT `time` FROM `arbour` WHERE `user` = '".$u['id']."' AND `time` > '" . (time() - $system['arbour_antiflud']) . "'");
   if (mysql_num_rows($flood)) {
   header ("Location: arbour.php?flud=1");
   exit;
   }
   // Проверка на одинаковые сообщения
   $req = mysql_query("SELECT * FROM `arbour` WHERE `user` = '".$u['id']."' ORDER BY `time` DESC");
   $res = mysql_fetch_array($req);
   if ($res['message'] == $message) {
   header("location: arbour.php");
   exit;
   }
// Вставляем сообщение в базу
mysql_query("INSERT INTO `arbour` SET
`user` = '".$u['id']."',
`message` = '$message',
`time` = '".time()."'
");

mysql_query("UPDATE `users` SET `stat_arbour` = `stat_arbour`+1 WHERE `id` = '".$u['id']."'");

header ("Location: arbour.php");
}

include 'head.php';
echo '<div class="title">';
echo '<b>Беседка</b>';
echo '</div>';

echo '<div class="block_action">';

//Блок ввода сообщения
if ($u['id']) {
   if(isset($_GET['o'])) {
   $o = num($_GET['o']);
   $user = mysql_fetch_assoc(mysql_query("SELECT `login` FROM `users` WHERE `id` = '".$o."'"));
   if($user['login']) $otv = $user['login'].', ';
   }
echo'<form action="arbour.php" method="post">';
echo '<textarea cols="20" rows="3" name="message" style="width: 97%">';
echo $otv;
echo '</textarea><br/>';
echo "<input type='submit' title='Нажмите для отправки' name='submit' class='btn' value='Написать'  class='submit white'/>";
echo '  <a href = "arbour.php?refresh='.rand(1,9999).'"><button type="button" class="btn"> Обновить </button></a>  <a href = "smiles.php"><button type="button" class="btn"> Смайлы </button></a> ';
if($u['admin'] == 1 || $u['admin'] == 2) echo '  <a href = "arbour.php?act=clear"><button type="button" class="btn"> Очистить</button></a>';
echo "</form>";
}

echo '</div>';

if($u['admin'] == 1 || $u['admin'] == 2){
   if($_GET['del']){
	   $id = num($_GET['del']);
	   $message = mysql_num_rows(mysql_query("SELECT `id` FROM `arbour` WHERE `id` = '$id' LIMIT 1"));
	   if($message){
		   mysql_query("DELETE FROM `arbour` WHERE `id` = '$id' LIMIT 1");
		   echo '<div class = "action">Сообщение удалено!</div>';
	   }
   }
}

if($_GET['flud']) echo '<div class = "action">Ошибка! Можно отправлять сообщения только раз в '.$system['arbour_antiflud'].' сек.</div><hr>';

$all = mysql_result(mysql_query("SELECT COUNT(`id`) FROM `arbour`"), 0);
if($all > 0){
   $total = intval(($all - 1) / 10) + 1;
   $page = intval($_GET['page']);
   if(empty($page) or $page < 0) $page = 1; 
   if($page > $total) $page = $total;
   $start = $page * 10 - 10;
   $result = mysql_query("SELECT * FROM `arbour` ORDER BY `time` DESC LIMIT $start, 10");
      while($arbour = mysql_fetch_assoc($result)){
	  $user = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$arbour["user"]."'"));
      $message = checkout($arbour['message']);	  
	  //Вывод
	  echo '<div class="block_list">';
	  echo '<table><tr>';
	     echo '<td VALIGN=top>';
		    ava($user['id'],35);
	     echo '</td>';
		 
		 echo '<td VALIGN=top>';
		    echo ico($user['sex'],$user['admin']).' <a href = "page.php?id='.$user['id'].'">'.$user['login'].'</a> '.onl($user['online'],$system['online_time']); if($u['id'] != $u['id']) echo ' | <a href = "arbour.php?o='.$user['id'].'">Ответить</a>'; 
		    echo '<br/><font color = "#000">'.smile($message).'</font><br/>';
			echo '<font color = "#777777">'.vremya($arbour['time']).'</font><br/>';
			if($u['admin'] == 1 || $u['admin'] == 2) echo '<a href = "?del='.$arbour['id'].'">Удалить</a> - <a href = "arbour.php?act=edit&id='.$arbour['id'].'">Изменить</a>';
		 echo '</td>';
	  echo '</tr></table>';
	  echo '</div>';
	  }
   navigation($page, $total,'arbour.php?');
}else{
	echo '<div class = "center">Сообщений еще нет. Будь первым!</div>';
}
echo '</div>';
include 'foot.php';
}

?>